commit:     c39189484f5f26769699883b82312e5945b5a083
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 28 09:23:36 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sat Nov 28 09:23:36 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c3918948

dev-python/py: Version Bump

Package-Manager: portage-2.2.25
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/py/Manifest         |  1 +
 dev-python/py/py-1.4.31.ebuild | 45 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-python/py/Manifest b/dev-python/py/Manifest
index b71db4c..0fcd0f5 100644
--- a/dev-python/py/Manifest
+++ b/dev-python/py/Manifest
@@ -1 +1,2 @@
 DIST py-1.4.30.tar.gz 191796 SHA256 
b703e57685ed7c280b1a51c496a4984d83d89def2a930b5e9e5da5a6ca151514 SHA512 
dd9d92f8eaf8e5fc61bfb7feb4b07df5ae1745ebf88bcbe9d62589caa9e1f7d8beae5b2d20b407520919e47391cd50cf2d5323556fa5bd90a37e120b1d394d7a
 WHIRLPOOL 
890cd2dbb957c291e80c73a69fad89846e761f745500ab2a99bfb4f725a7e567104fa4a2a957b8c674ebc9498fdbb25373ff0d15ab8da7f8c45138844235c79f
+DIST py-1.4.31.tar.gz 192212 SHA256 
a6501963c725fc2554dabfece8ae9a8fb5e149c0ac0a42fd2b02c5c1c57fc114 SHA512 
fd0f4f509d81beb8e5cdb5a8d5d7d40d8a74737c017c915b0630ce740868c32fbf1af4a01dec2ae998e5a9516578e8404ad2b8d966606919767ae25f27eb0b0d
 WHIRLPOOL 
2c1227fc8b3fd044eeea398393a79868b12ef9ab7291522f4c6c08f70d4d725c305a407c3a6893920c405fdf1bc29d97b9ac2a182abdf3a4cde1f6001cd1c38c

diff --git a/dev-python/py/py-1.4.31.ebuild b/dev-python/py/py-1.4.31.ebuild
new file mode 100644
index 0000000..f0a036b
--- /dev/null
+++ b/dev-python/py/py-1.4.31.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="library with cross-python path, ini-parsing, io, code, log 
facilities"
+HOMEPAGE="http://pylib.readthedocs.org/ https://pypi.python.org/pypi/py";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~ia64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos"
+IUSE="doc test"
+
+RDEPEND=""
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( >=dev-python/pytest-2.4.2[${PYTHON_USEDEP}] )
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+       sed -e 's:intersphinx_mapping:#&:' -i doc/conf.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       use doc && emake -C doc html
+}
+
+python_test() {
+       # 1 failure, test_comments, under both pypy only.
+       # Also appears the home repo has no issue tracker.
+       [[ "${EPYTHON}" == pypy ]] && return
+       py.test -v -v || die "testing failed with ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/_build/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to